import { L10n, loadCldr, setCulture, setCurrencyCode, cldrData } from '@syncfusion/ej2-base';
let n1:Object = require( "./localization/cldr-data/es/currencies.json");
let n2:Object = require( './localization/cldr-data/es/timeZoneNames.json');
let n3:Object = require('./localization/cldr-data/es/numbers.json');
let n4:Object = require( './localization/cldr-data/es/ca-gregorian.json');

let a1:Object = require('./localization/cldr-data/de/currencies.json');
let a2:Object = require('./localization/cldr-data/de/timeZoneNames.json');
let a3:Object = require('./localization/cldr-data/de/numbers.json');
let a4:Object = require('./localization/cldr-data/de/ca-gregorian.json');
let s:Object = require('./localization/cldr-data/supplemental/currencyData.json');
let s2:Object = require( './localization/cldr-data/supplemental/numberingSystems.json');
import { Component, OnInit, ViewChild } from '@angular/core';
import { data } from './datasource';
import { PageSettingsModel } from '@syncfusion/ej2-angular-grids';

declare var require: any;

L10n.load({
  'de': {
    'grid': {
      'EmptyRecord': 'Keine Aufzeichnungen angezeigt',
      'GroupDropArea': 'Ziehen Sie einen Spaltenkopf hier, um die Gruppe ihre Spalte',
      'UnGroup': 'Klicken Sie hier, um die Gruppierung aufheben',
      'EmptyDataSourceError': 'DataSource darf bei der Erstauslastung nicht leer sein, da Spalten aus der dataSource im AutoGenerate Spaltenraster',
      'Item': 'Artikel',
      'Items': 'Artikel'
    },
    'pager': {
      'currentPageInfo': '{0} von {1} Seiten',
      'totalItemsInfo': '({0} Beiträge)',
      'firstPageTooltip': 'Zur ersten Seite',
      'lastPageTooltip': 'Zur letzten Seite',
      'nextPageTooltip': 'Zur nächsten Seite',
      'previousPageTooltip': 'Zurück zur letzten Seit',
      'nextPagerTooltip': 'Zum nächsten Pager',
      'previousPagerTooltip': 'Zum vorherigen Pager'
    },
    'uploader': {
      'Browse': 'Durchsuche',
      'Upload': 'Hochladen',
      'dropFilesHint': 'dropFilesHint',
    }
  },
  'es': {
    'uploader': {
      'Browse': 'vistazo',
      'Upload': 'Subir',
      'dropFilesHint': 'dropFilesHint',
    },
    'grid': {
      'GroupDropArea': 'GrupoDropArea'
    }
  }
});
@Component({
  selector: 'app-root',
  template: `  
  <div style="margin: 50px;">
    <div tabindex="0" class="e-card" id="basic">
      <h3>Select Locale</h3>
      <ejs-dropdownlist id='ddlelement' [dataSource]='culture' (change)='culChange($event)' style='width: 200px' placeholder='Select language' ></ejs-dropdownlist>
      <br/>
      <div class="e-card-separator"></div>
        <div id='control' class='col-container'>
        <div id='col-1' class='col'>
          <div class='e-card  theme-comp cat-editors layout-card theme-comp' id='cat-editors'>
            <h3>Essential JS 2 Grid component</h3>
            <ejs-grid [dataSource]='data' [allowGrouping]='true' [allowPaging]='true' [pageSettings]='pageOptions' height='220px'>
              <e-columns>
                <e-column field='OrderID' headerText='Order ID' textAlign='Right' width=120></e-column>
                <e-column field='CustomerID' headerText='Customer ID' width=150></e-column>
                <e-column field='Freight' headerText='Freight' width='120' format='C2' textAlign='Right'></e-column>
                <e-column field='ShipCity' headerText='Ship City' width=150></e-column>
                <e-column field='ShipName' headerText='Ship Name' width=150></e-column>
              </e-columns>
            </ejs-grid>
          </div>
        </div>
        <div id='col-2' class='col'>
          <div class='e-card  theme-comp cat-editors layout-card theme-comp' id='cat-editors'>
            <h3>Essential JS 2 Uploader</h3>
            <ejs-uploader #defaultupload  locale= ''  [autoUpload]='false' ></ejs-uploader>
            <br/>
            <div class="e-card-separator"></div>
            <br/>
            <h3>Essential Js 2 Date Picker</h3>
            <ejs-datepicker></ejs-datepicker>
          </div>
        </div>
      </div>
    </div>
  </div>`,
  styleUrls: ['./app.component.css']
})
export class AppComponent implements OnInit {
  public data: Object[];
  public pageOptions: PageSettingsModel;
  public fields: Object = { text: 'text', value: 'value' };
  public height: string = '220px';
 // //define the JSON of data
 public culture: Object[] = [
   { value: 'de', text: 'de' },
   { value: 'es', text: 'es' }
   ];
   public culChange(e: any) {
    debugger;
    let value: string = e.value;
    setCulture(e.value);
    setCurrencyCode(e.value);
      // update the text and value property values in property panel based on selected item in DropDownList
  }
    
  ngOnInit(): void {
    this.data = data;
    this.pageOptions = { pageSize: 6 };
    loadCldr(n1, n2, n3, n4, a1, a2, a3, a4, s, s2);
    cldrData;
    setCulture('de');
  }
}


